PHP-инклюдинг в ZPanel

Дата публикации:
27.02.2007
Всего просмотров:
1195
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ZPanel 2.x
Уязвимые версии: ZPanel 2.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "body" в сценарии templates/ZPanelV2/template.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page" в сценарии zpanel.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: www.thezpanel.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA